import request from '@/utils/request'

// 查询园内监控管理列表
export function listMonitor(query) {
  return request({
    url: '/mudu/monitor/list',
    method: 'get',
    params: query
  })
}

// 查询园内监控管理详细
export function getMonitor(id) {
  return request({
    url: '/mudu/monitor/' + id,
    method: 'get'
  })
}

// 新增园内监控管理
export function addMonitor(data) {
  return request({
    url: '/mudu/monitor',
    method: 'post',
    data: data
  })
}

// 修改园内监控管理
export function updateMonitor(data) {
  return request({
    url: '/mudu/monitor',
    method: 'put',
    data: data
  })
}

// 删除园内监控管理
export function delMonitor(id) {
  return request({
    url: '/mudu/monitor/' + id,
    method: 'delete'
  })
}
